# System tests

## Ссылки

* [System Testing](https://guides.rubyonrails.org/testing.html#system-testing)

## Задачи

### test/system/posts_test.rb

Протестируйте c помощью системных тестов готовый CRUD

```shell
# Запуск системных тестов
bin/rails test:system

Run options: --seed 51701

# Running:

Capybara starting Puma...
Capybara starting Puma...
* Version 5.4.0 , codename: Super Flight
* Version 5.4.0 , codename: Super Flight
* Min threads: 0, max threads: 4
* Min threads: 0, max threads: 4
* Listening on http://127.0.0.1:36655
* Listening on http://127.0.0.1:40163
...

Finished in 10.060938s, 0.2982 runs/s, 0.4970 assertions/s.
3 runs, 5 assertions, 0 failures, 0 errors, 0 skips
```
